# Generated automatically from MakeDefs.in by configure.
# Copyright 1988-92, 1994-95, 1999, 2000 Free Software Foundation, Inc.
# Written by Steve Byrne

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# $Revision: 1.7.5$

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
VPATH = .

PROGS = gst.exe
MAINTAINER = bonzini@gnu.org

# Older makes don't set $(MAKE), so we set it for them.


# Programs - Use cp if you don't have install.
SCHEDULER = cat
INSTALL = /dev/env/DJDIR/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_INFO = install-info
MAKEINFO = makeinfo
AUTOHEADER = autoheader
AUTOCONF = autoconf
CC = gcc
AR = ar
RANLIB = ranlib
BISON = bison


# Platform-dependent definitions
PLATFORM = msdos
EXE=.exe
RM = rm -f


# other definitions
ALLOCA = 
GST_TAB = gst_tab
ICON = 
DEFS = -DHAVE_CONFIG_H
LIBS = -lsocket -lm  -lreadline 
TCL_LIBS = 
USER_OBJECTS = 
TARGET = all
BASE_NAME = smalltalk-$(VERSION)

# These control the distribution version
VERSION= 1.7.5
ST_MAJOR_VERSION = 1
ST_MINOR_VERSION = 7
ST_EDIT_VERSION  = 5
ST_EDIT_PREFIX   = @ST_EDIT_PREFIX@


# Program flags
OPT_LEVEL = 2
OPT_CFLAGS = -O$(OPT_LEVEL) -DOPTIMIZE
CDEBUG = -g
INCLUDES= -I$(srcdir) -I$(srcdir)/lib $(USER_INCLUDES)
CPPFLAGS = 
CFLAGS = -Os # $(INCLUDES)
LDFLAGS =  $(USER_LDFLAGS)
X_CFLAGS = 
GCC_OPT_CFLAGS = -fno-inline-functions -fomit-frame-pointer -fno-unroll-loops
GCC_CFLAGS =  


# Paths given by autoconf
prefix = /dev/env/DJDIR
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
datadir = ${prefix}/share
mandir = ${prefix}/man
infodir = ${prefix}/info
includedir = ${prefix}/include
oldincludedir = /usr/include
X_LIBS = 
X_EXTRA_LIBS = 
X_PRE_LIBS = 
LDPATH =  

# Other paths we use
smlibdir = $(libdir)
stdir = /dev/env/DJDIR/share/gnu-smalltalk/kernel/..
IMAGE_PATH=/dev/env/DJDIR/share/gnu-smalltalk
KERNEL_PATH=/dev/env/DJDIR/share/gnu-smalltalk/kernel

#### End of system configuration section. ####

MDEFINES = bindir='$(bindir)' libdir='$(libdir)' mandir='$(mandir)' \
       INSTALL='$(INSTALL)' INSTALLDATA='$(INSTALLDATA)' \
       LIBS='$(LIBS)' LDPATH='$(LDPATH)' LIBPROGS='$(LIBPROGS)' \
       MAKE='$(MAKE)' \
       AR='$(AR)' RANLIB='$(RANLIB)' \
       BISON='$(BISON)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' \
       CC='$(CC)' INCLUDES='$(INCLUDES)' DEFS='$(DEFS)' CDEBUG='$(CDEBUG)' \
       GCC_CFLAGS='$(GCC_CFLAGS)' OPT_CFLAGS='$(OPT_CFLAGS)' \
       GCC_OPT_CFLAGS='$(GCC_OPT_GFLAGS)' GST_TAB='$(GST_TAB)' RM='$(RM)'


GENERIC_CC = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES) $(GCC_CFLAGS) $(CFLAGS) $(CDEBUG) 

.c.o: 
	$(GENERIC_CC) $<



